# Class InputSourceUtil

java.lang.Object
org.apache.tomcat.util.descriptor.InputSourceUtil

public final class InputSourceUtil extends Object
Utility methods for working with `InputSource` instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `close(InputSource inputSource)`
  Close the byte stream associated with the given InputSource, if any.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### close

    public static void close(InputSource inputSource)
    Close the byte stream associated with the given InputSource, if any.
    Parameters:
      `inputSource` - the InputSource to close